Get collection from schema

- « Schema::existsInDatabase

- Schema::getCollectionAsTable »

- PHP Manual
- mysql_xdevapi\Schema
- Get collection from schema

# Schema::getCollection

(No version information available, might only be in Git)

Schema::getCollection — Get collection from schema

### Description

public mysql_xdevapi\Schema::getCollection(string `$name`): mysql_xdevapi\Collection

Get a collection from the schema.

### Parameters

`name`

  Collection name to retrieve.

### Return Values

The Collection object for the selected collection.

### Examples

Example #1 Schema::getCollection example

    <?php$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$session->sql("DROP DATABASE IF EXISTS food")->execute();$session->sql("CREATE DATABASE food")->execute();$schema = $session->getSchema("food");$schema->createCollection("trees");// ...$trees = $schema->getCollection("trees");var_dump($trees);

The above example will output something similar to:

    object(mysql_xdevapi\Collection)#3 (1) {
      ["name"]=>
      string(5) "trees"
    }